Site Index:

 

Versions of WordPerfect 8 for Linux

 

Installing WordPerfect 8.1 on Debian-based distros

 

Installing WordPerfect 8.1 on RPM distros or Slackware

 

Installing WordPerfect 8.1 on PC-BSD

 

Installing WordPerfect 8.0 on Debian-based distros

 

Installing WordPerfect 8.0 on RPM-based distros

 

WordPerfect 8.0/8.1 on Libranet 3.0

 

Problems and Workarounds

 

Emulation

 

 

Installing WordPerfect for Linux 8.1 on an RPM distro or Slackware

 

 

Support files

 

Repositories provided by distros released in 2010 or later often lack the support files necessary to install WordPerfect 8.1.

 

The necessary ldso and libc libraries, for rpm-based distros (such as OpenSuse or PCLinuxOS) or Slackware, may found in the following packages here:

 

- for Opensuse or PCLinuxOS:  shlibs5.

 

- for Slackware:  ldso.tgz  and  libc5.tgz.

 

For Mandriva, it is best to use, for the ldso and libc5 libraries, the following packages contained in the official Mandriva repository:  ld.so1  and  libc-base  and  libc-extras.

 

For any rpm-based distro (such as OpenSuse, PCLinuxOS or Mandriva) or Slackware, the type1inst package, needed for installation of the full or light (but not the starter) version of WordPerfect 8.1, may obtained here:  type1inst

 

 

 

Installing on OpenSuse 11, 12, 13.1 or Tumbleweed

 

 

The following method of installing WordPerfect 8.1 on OpenSuse has kindly been provided by Leon Goldstein, who has long been recognised as the leading expert in this sphere. The version below is as slightly modified by Peter Stone, the operator of the present site. It is known that this method continues to work on OpenSuse 13.1 (current in April 2014), and on OpenSuse Tumbleweed (as at March 2016).

 

 

1.  If you install a 64-bit version of OpenSuse earlier than 13.1, you should ensure that the "32-bit Runtime Environment" is installed before attempting to install WordPerfect.

 

OpenSuse 13.1 64-bit, and OpenSuse Tumbleweed 64-bit, include 32-bit support in the default installation, and thus enable one to install and run 32-bit code, such as WordPerfect 8.1 and its dependencies, without further effort.

 

2.  Download and install  shlibs5-2001.7.30.209.i586.rpm  and   type1inst-0.6.1-220.i386.rpm.

 

shlibs5 can be downloaded from filewatcher.com.

 

Or use these links to copies located at the present site:
shlibs5   and  type1inst.

 

3.  Edit /etc/ld.so.conf by adding a line:

 

/usr/i486-linux-libc5/lib

 

Then run (as root) the command:

 

ldconfig

 

4.  Run (as root) the command:

 

mkdir /usr/X11R6/lib/X11

 

5.  As root, create a symbolic link:

 

ln -s /usr/share/X11/locale /usr/X11R6/lib/X11/locale

 

6.  The next step is to extract the actual code from the wp..deb and fonts..deb files, and copy it to its proper location.

 

In each deb, the actual code is compressed and contained in a data.tar file. The compressed files are arranged in directories, and the directory structure is designed to be installed to the top of the file system (to / and not to /root).

 

For an explanation of such extraction, see the G-Loaded Journal.

 

The required Debian packages are:


fonts-16_1.0-5.deb


fonts-69_1.0-4.deb (not included with WP8.1 "light" version, nor in the startup version)


fonts-115_1.0-4.deb (not included with WP8.1 "light" version, nor in the startup version)


wp-full_8.1-12_i386.deb (or, in the startup version, wpx-free_8.0-78_i386.deb)

 

wp-manual_8.1-3_i386.deb (not included with CLOS 1.2 Deluxe update)

 

One method of extraction and installation is to proceed, as root in a terminal, as follows.

 

(a) To convert each deb to a tar, give the command (for example)

 

ar vx wp-full_8.1-12_i386.deb

 

Rename the resulting data.tar.gz to wp-full_8.1-12_i386.tar.gz

 

Continue with the remaining Debian packages, renaming each data.tar.gz tarball before converting the next package.

 

If the command using "ar" produces the response that "ar" is not found, the solution may be to install the "binutils" package, and then try again. Alternatively the extraction may be achieved using the ark utility, which has a graphical interface.

 

(b) Next copy all of these tarballs to / (the very top of the file system, NOT to /root), and then untar them by giving (for each of them in turn) the command:

 

tar -xvzf [filename].tar.gz

 

For example:

 

tar -xvzf wp-full_8.1-12_i386.tar.gz

 

7.  Next give the command:

 

cd /usr/X11R6/lib/X11/fonts/Type1

 

and then run (as root) the command:

 

type1inst

 

8.  Run (as root) the command:

 

/usr/bin/mkfontdir

 

9.  Run (as root) the command:

 

/usr/lib/wp8/shbin10/wpfi

 

10.  Create a desktop icon with

 

/usr/lib/wp8/wpbin/xwp

 

as the command.

 

Note: The current OpenSuSe no longer provides the WP8 icon. But here is a suitable icon.

 

11.  After completing all the above installation steps, if running "xwp" as user returns an error about too many processes and/or not enough permission to run, open WP8.1 as administrator. That is, open a root terminal and type "xwp -adm".

 

Then, in the little preferences menu at the top right corner of the display, click on "File Locking". Then click "Disable Unix File Locking". Thereafter WP8.1 should start normally for the user.

 

12.  WP8.1 installs its fonts where LibreOffice can find and use them. This means that you can import a .wpd file into LibreOffice with the original font(s).

 

 

 

Installing on Mandriva 2010 Spring

 

In general, the above method for OpenSuse will also work on Mandriva 2010 Spring, also known as Mandriva 2010.1.

 

At step 2, instead of using shlibs5, you can install the necessary libc5 and ldso files from the official Mandriva repository. The three relevant rpm packages are:

 

ld.so1 (version 1.9.11-10);

libc-base (version 5.3.12-44); and

libc-extras (version 5.3.12-44).

 

At step 4, before creating the X11 directory, you will need first to remove an existing symbolic link: /usr/X11R6/lib/X11.

 

The foregoing probably applies also to Mandriva 2010.2.

 

 

 

Installing on PCLinuxOS 2010.12 - 2013.04

 

In general, the above method for OpenSuse should also work on recent versions of PCLinuxOS.

 

In particular, shlibs5 can be used at step 2.

 

At step 4, before creating the X11 directory, you will need first to remove an existing symbolic link: /usr/X11R6/lib/X11.

 

 

 

Installing on Slackware 13.1

 

In general, the above method for OpenSuse should also work on Slackware 13.1.

 

For steps 2 and 3, instead of installing shlibs5, editing /etc/ld.so.conf, and running ldconfig, you should install these tgz files: ldso.tgz and libc5.tgz.

 

 

 

Other Sites:

 

MEPIS distro

 

 

 

 

 

 

 

 

 

 

 

Peter Stone © 2010-16

Last updated on 26th March 2016